%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  ncappc
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          NCA Calculations and Population Model Diagnosis

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.15.3
Requires:         R-core >= 2.15.3
BuildArch:        noarch
BuildRequires:    R-CRAN-ggplot2 >= 2.0.0
BuildRequires:    R-CRAN-gridExtra >= 2.0
BuildRequires:    R-CRAN-readr >= 0.2.2
BuildRequires:    R-CRAN-scales 
BuildRequires:    R-CRAN-gtable 
BuildRequires:    R-CRAN-knitr 
BuildRequires:    R-CRAN-xtable 
BuildRequires:    R-CRAN-reshape2 
BuildRequires:    R-CRAN-dplyr 
BuildRequires:    R-CRAN-lazyeval 
BuildRequires:    R-CRAN-PopED 
BuildRequires:    R-CRAN-magrittr 
BuildRequires:    R-CRAN-rlang 
BuildRequires:    R-CRAN-purrr 
BuildRequires:    R-CRAN-tibble 
BuildRequires:    R-CRAN-rmarkdown 
BuildRequires:    R-CRAN-tidyr 
BuildRequires:    R-grid 
BuildRequires:    R-grDevices 
BuildRequires:    R-stats 
BuildRequires:    R-CRAN-bookdown 
Requires:         R-CRAN-ggplot2 >= 2.0.0
Requires:         R-CRAN-gridExtra >= 2.0
Requires:         R-CRAN-readr >= 0.2.2
Requires:         R-CRAN-scales 
Requires:         R-CRAN-gtable 
Requires:         R-CRAN-knitr 
Requires:         R-CRAN-xtable 
Requires:         R-CRAN-reshape2 
Requires:         R-CRAN-dplyr 
Requires:         R-CRAN-lazyeval 
Requires:         R-CRAN-PopED 
Requires:         R-CRAN-magrittr 
Requires:         R-CRAN-rlang 
Requires:         R-CRAN-purrr 
Requires:         R-CRAN-tibble 
Requires:         R-CRAN-rmarkdown 
Requires:         R-CRAN-tidyr 
Requires:         R-grid 
Requires:         R-grDevices 
Requires:         R-stats 
Requires:         R-CRAN-bookdown 

%description
A flexible tool that can perform (i) traditional non-compartmental
analysis (NCA) and (ii) Simulation-based posterior predictive checks for
population pharmacokinetic (PK) and/or pharmacodynamic (PKPD) models using
NCA metrics. The methods are described in Acharya et al. (2016)
<doi:10.1016/j.cmpb.2016.01.013>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
